Skip to main content
POST
/
api
/
v1
/
images
/
upload
cURL
curl --request POST \
  --url https://api.example.com/api/v1/images/upload \
  --header 'Authorization: Bearer <token>'
{
  "image_name": "<string>",
  "job_id": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vers.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

image_name
string
required

The name for the new base image

size_mib
integer<int32> | null
required

Size of the image in MiB (default: 512, min: 512, max: 32768)

Response

Image upload started

image_name
string
required
job_id
string
required
status
string
required